NETDATA(1)

NAME
netdata - real-time charts for system monitoring

DESCRIPTION
This manual page documents briefly the netdata command.

The netdata daemon is usually started by an initscript or a systemd service.

USAGE
/usr/sbin/netdata [-d] [-l LINES_TO_SAVE] [-u UPDATE_TIMER] [-p LISTEN_PORT] [-dl debug log file] [-df debug flags]

-c CONFIG FILE the configuration file to load. Default: /etc/netdata/netdata.conf.

-l LINES_TO_SAVE can be from 5 to 864000 lines in JSON data. Default: 3600.

-t UPDATE_TIMER can be from 1 to 3600 seconds. Default: 1.

-p LISTEN_PORT can be from 1 to 65535. Default: 19999.

-u USERNAME can be any system username to run as. Default: none.

-ch path to access host /proc and /sys when running in a container. Default: empty.

-nd or -nodeamon to disable forking in the background. Default: unset.

-df FLAGS debug options. Default: 0x00000000.

SEE ALSO
The full documentation for netdata is available in /usr/share/doc/netdata

AUTHOR
netadata was written by Costa Tsaousis <costa@tsaousis.gr>

This manual page was written by Federico Ceratto <federico@debian.org> for the Debian project and may be used by others.